New KDE-3.5.8

Hans-Joachim Widmaier hjwidmaier at web.de
Fri Nov 30 04:20:28 PST 2007


Andrey wrote:
> Is there anyone try to build this?
> 
> I'm trying now.
> 
> What happens:
> 
> /usr/bin/ld: cannot find -lqt-mt

I built it about 2 weeks ago. The only snag I had was with kdebindings:
While building the python binding, it didn't find the mkspecs directory,
so I had to do:

  export QMAKESPEC=/usr/share/qt/mkspecs/linux-g++

Then it wined that there were tw0 libraries, qt and qt-mt, where it
couldn't decide which one to use. This required a:

  sed -i -e "s@^qt_dir =.*@qt_dir = /usr@" \
         -e 's!echo "yes" | @PYTHON@ configure.py -i -b .*!& -y qt-mt!'\
         -e '/configure.*pyqt/s/-c//' \
         -e '/configure.*pykde/s/-c/-i/' python/Makefile.in

*All* other kde packages built without the slightest problem.

But then, I have QT installed in /usr.

It won't help you much with your specific problem, but still shows that
KDE 3.5.8 requires no patches apart from the above snippet to be built.

Hans-Joachim




More information about the blfs-support mailing list